--- old/usr/src/cmd/fs.d/nfs/lib/smfcfg.c	Sun Aug 25 23:50:48 2013
+++ new/usr/src/cmd/fs.d/nfs/lib/smfcfg.c	Sun Aug 25 23:50:48 2013
@@ -18,8 +18,10 @@
  *
  * CDDL HEADER END
  */
+
 /*
  * Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+ * Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
  */
 #include <stdio.h>
 #include <stdlib.h>
@@ -358,6 +360,27 @@
 	    instance, sctype, svc_name, bufsz));
 }
 
+/* Get an integer (base 10) property */
+int
+nfs_smf_get_iprop(char *prop_name, int *rvp, char *instance,
+    scf_type_t sctype, char *svc_name)
+{
+	char propbuf[32];
+	int bufsz, rc, val;
+
+	bufsz = sizeof (propbuf);
+	rc = fs_smf_get_prop(NFS_SMF, prop_name, propbuf,
+	    instance, sctype, svc_name, &bufsz);
+	if (rc != SA_OK)
+		return (rc);
+	errno = 0;
+	val = strtol(propbuf, NULL, 10);
+	if (errno != 0)
+		return (SA_BAD_VALUE);
+	*rvp = val;
+	return (SA_OK);
+}
+
 int
 nfs_smf_set_prop(char *prop_name, char *value, char *instance,
     scf_type_t type, char *svc_name)
